#!python

# this is a helper script for processes.Process.detach tests
# called from svnmailer_test.integration.processes.ProcessTestCase

import os, sys
from svnmailer import processes

stderr_file = sys.argv[1]
stderr = file(stderr_file, 'wb')

os.dup2(stderr.fileno(), sys.stderr.fileno())

cmd = [sys.executable, '-c',
    'import sys; x = sys.stdin.read(); '
    'sys.stdout.write(x); sys.stderr.write(x[::-1])'
]
proc = processes.Process.detach(cmd)
sys.exit(proc.wait())
